openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSWB_WB_SAVE:
    post:
      tags:
      - RSWB
      operationId: /rfc/RSWB_WB_SAVE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                I_FILESIZE:
                  type: integer
                  format: int32
                  description: File Size
                I_ID:
                  type: string
                  maxLength: 25
                I_LANGUAGES:
                  type: string
                  maxLength: 255
                  description: CR Languages
                I_MASTERLANGU:
                  type: string
                  maxLength: 1
                  description: SAP R/3 System, Current Language
                I_OBJUID:
                  type: string
                  maxLength: 40
                  description: ID in the tree of the Open-Save dialog
                I_PATH:
                  type: string
                  maxLength: 128
                I_PUBLISH:
                  type: string
                  default: X
                  maxLength: 1
                I_REVISION:
                  type: integer
                  format: int32
                  default: 0
                I_SYSID:
                  type: string
                  maxLength: 8
                I_TITLE:
                  type: string
                  maxLength: 60
                I_URLPATTERN:
                  type: string
                  maxLength: 255
                  description: URL for the SAP Portal
                I_WBTYP:
                  type: string
                  maxLength: 1
                  description: Type of workbook
                E_T_RETURNTEXTS:
                  type: array
                  items:
                    type: object
                    properties:
                      LINE:
                        type: string
                        maxLength: 255
                        description: HTML container
                I_T_DATA:
                  type: array
                  items:
                    type: object
                    properties:
                      LINE:
                        type: string
                        format: byte
                        description: Line for binary document contents, length for upload
                I_T_RPTTEXT:
                  type: array
                  items:
                    type: object
                    properties:
                      LANGUAGE:
                        type: string
                        maxLength: 1
                        description: Language Key
                      RPTID:
                        type: string
                        maxLength: 25
                        description: CR Report ID
                      OBJVERS:
                        type: string
                        maxLength: 1
                        description: Object version
                      SUBREPORT:
                        type: string
                        maxLength: 120
                        description: char120
                      OBJECT_TYPE:
                        type: string
                        maxLength: 2
                        description: Version Number Component
                      TEXT_TYPE:
                        type: string
                        maxLength: 2
                        description: CR Text Type
                      OBJECT_NAME:
                        type: string
                        maxLength: 64
                        description: Character field, length 64
                      TEXT_ORDNUMC:
                        type: integer
                        format: int64
                        description: CR Textord
                      MAX_LEN:
                        type: integer
                        format: int64
                        description: CR maximum length of a string
                      CRLF:
                        type: string
                        maxLength: 1
                        description: Single-Character Flag
                      TEXT:
                        type: string
                        maxLength: 255
                        description: CR Text
                I_T_USED_REPORTS:
                  type: array
                  items:
                    type: object
                    properties:
                      SUBNR:
                        type: integer
                        format: int64
                        description: Counter for reports
                      GENUNIID:
                        type: string
                        maxLength: 25
                        description: UUID in compressed form
              required:
              - I_SYSID
              - I_TITLE
              - I_WBTYP
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  E_LASTERROR:
                    type: string
                    maxLength: 255
                    description: CHAR255 data element for SYST
                  E_REVISION:
                    type: integer
                    format: int32
                  E_RPTID:
                    type: string
                    maxLength: 25
                    description: CR Report ID
                  E_SUBRC:
                    type: integer
                    format: int32
                  E_T_RETURNTEXTS:
                    type: array
                    items:
                      type: object
                      properties:
                        LINE:
                          type: string
                          maxLength: 255
                          description: HTML container
                  I_T_DATA:
                    type: array
                    items:
                      type: object
                      properties:
                        LINE:
                          type: string
                          format: byte
                          description: Line for binary document contents, length for upload
                  I_T_RPTTEXT:
                    type: array
                    items:
                      type: object
                      properties:
                        LANGUAGE:
                          type: string
                          maxLength: 1
                          description: Language Key
                        RPTID:
                          type: string
                          maxLength: 25
                          description: CR Report ID
                        OBJVERS:
                          type: string
                          maxLength: 1
                          description: Object version
                        SUBREPORT:
                          type: string
                          maxLength: 120
                          description: char120
                        OBJECT_TYPE:
                          type: string
                          maxLength: 2
                          description: Version Number Component
                        TEXT_TYPE:
                          type: string
                          maxLength: 2
                          description: CR Text Type
                        OBJECT_NAME:
                          type: string
                          maxLength: 64
                          description: Character field, length 64
                        TEXT_ORDNUMC:
                          type: integer
                          format: int64
                          description: CR Textord
                        MAX_LEN:
                          type: integer
                          format: int64
                          description: CR maximum length of a string
                        CRLF:
                          type: string
                          maxLength: 1
                          description: Single-Character Flag
                        TEXT:
                          type: string
                          maxLength: 255
                          description: CR Text
                  I_T_USED_REPORTS:
                    type: array
                    items:
                      type: object
                      properties:
                        SUBNR:
                          type: integer
                          format: int64
                          description: Counter for reports
                        GENUNIID:
                          type: string
                          maxLength: 25
                          description: UUID in compressed form
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
